### Method

# GLib Scanner input_text

#### Declaration

    void
    g_scanner_input_text (
      GScanner* scanner,
      const gchar* text,
      guint text_len
    )

#### Description

Prepares to scan a text buffer.

#### Parameters

`text`

  Type: `const gchar*`

  The text buffer to scan.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`text_len`

  Type: `guint`

  The length of the text buffer.